Skip to content
developers

List pricing intents

Browse API reference

GET/pricing-intentslistPricingIntents

Use this method to return a paginated list of pricing intents associated with the ISV.

Note: If you want to view the details of a specific pricing intent and you have its pricingIntentId, use our Retrieve Pricing Intent method.

Our gateway returns the following information about each pricing intent in the list:

  • Information about the fees, including the base fees, gateway fees, and processor fees.
  • Status of the pricing intent, including whether we approved the pricing intent.

For each pricing intent, we also return its pricingIntentId which you can use to perform follow-on actions.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful response. Returns a list of pricing intents.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 594 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]
    Array of pricing intent objects.
    • 5.0object
      Object that contains information about a pricing intent for Merchant Processing Agreement (MPA) 5.0.
      • createdDatestringdate-time
        Date and time that we received your request to create the pricing intent. We return this value in the ISO-8601 format.
      • idstring
        Unique identifier of the pricing intent.
      • keystringrequired
        Unique identifier that you can assign to the pricing intent for your own records.
      • lastUpdatedDatestringdate-time
        Date and time that the pricing intent was last modified. We return this value in the ISO-8601 format.
      • metadataobject
        Metadata object that contains your custom data.
      • statusstring
        Status of the pricing intent. The value can be one of the following: active We have approved the pricing intent. pendingReview We have not yet reviewed the pricing intent. rejected We have rejected the pricing intent.activependingReviewrejected
      • baseobjectrequired
        Object that contains information about U.S. base fees.
        • addressVerificationintegernullrequired
          Fee for each address verification request. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • annualFeeobjectrequired
          Object that contains information about the annual fee.
          • amountintegerrequired
            Annual fee. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • billInMonthstring
            Indicates whether we collect the annual fee in June or December.junedecember
        • batchintegerrequired
          Fee for each batch. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • chargebackinteger
          Fee for each chargeback. The value is in the currency's lowest denomination, for example, cents.0–5000
        • earlyTerminationinteger
          Fee for early termination. The value is in the currency's lowest denomination, for example, cents.0–59500
        • maintenanceintegerrequired
          Monthly fee for maintenance. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • merchantAdvantageintegernullrequired
          Monthly fee for Payroc Advantage. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • minimumintegerrequired
          Monthly fee that we charge when the merchant doesn't meet the minimum fee amount. This monthly fee is in the currency's lowest denomination, for example, cents.≥ 0
        • pciNonComplianceinteger
          Fee that we apply each month if you aren't compliant with PCI standards. The value is in the currency's lowest denomination, for example, cents.0–10000
        • platinumSecurityobject
          Polymorphic object that contains billing details for Platinum Security. The value of the billingFrequency field determines which variant you should use: monthly We collect the fee for Platinum Security each month. annual We collect the fee for Platinum Security each year.
          • monthlyobject
            • amountinteger
              Fee for Platinum Security. The value is in the currency's lowest denomination, for example, cents.
            • billingFrequencystringrequired
              Indicates whether we bill your account monthly or annually.monthly
          • annualobject
            • amountinteger
              Fee for the Platinum Security, this is returned in the lowest unit of currency. For example, cents.
            • billingFrequencystringrequired
              Indicates whether we bill your account monthly or annually.annual
        • regulatoryAssistanceProgramintegernullrequired
          Annual fee for the regulatory assistance program. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • retrievalinteger
          Fee for each retrieval. The value is in the currency's lowest denomination, for example, cents.0–5000
        • voiceAuthorizationinteger
          Fee for each voice authorization. The value is in the currency's lowest denomination, for example, cents.0–200
      • countrystringrequired
        Two-digit code for the country that the pricing intent applies to. The format follows the ISO-3166-1 standard.US
      • gatewayobject
        Object that contains information about the gateway fees for MPA 5.0.
        • feesobjectrequired
          Object that contains information about the gateway fees.
          • monthlyintegerrequired
            Monthly fee for the gateway. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • perDeviceMonthlyintegerrequired
            Monthly fee for each device. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • perTransactionintegerrequired
            Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • setupintegerrequired
            Fee for setting up your account with the gateway. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • processorobject
        Object that contains information about U.S. processor fees.
        • achobject
          Object that contains the fees for ACH transactions.
          • feesobject
            Object that contains processing fees for ACH transactions.
            • accountVerificationintegerrequired
              Fee for each account verification. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • batchintegerrequired
              Fee for each batch. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • discountRateAbove10000numberdoublerequired
              Percentage discount for ACH transfers equal to or more than $10,000.0–100
            • discountRateUnder10000numberdoublerequired
              Percentage discount for ACH transfers less than $10,000.0–100
            • monthlyMinimumintegerrequired
              Minimum monthly value of transactions. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • returnsintegerrequired
              Fee for each return. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • statementintegerrequired
              Fee for each statement. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • transactionintegerrequired
              Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • unauthorizedReturnintegerrequired
              Fee for each unauthorized return. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • cardobject
          Polymorphic object that contains fees for card transactions. The value of the planType field determines which variant you should use: interchangePlus Interchange + pricing interchangePlusPlus Interchange pricing with three tiers tiered3 Three-tiered pricing tiered4 Four-tiered pricing tiered6 Six-tiered pricing flatRate Flat rate pricing consumerChoice ConsumerChoice rewardPayChoice RewardPayChoice
          • Interchange Plus Planobject
            Object that contains information about Interchange Plus.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions. The value of the type field determines which variant you should use: optBlue Amex OptBlue pricing program. direct Amex Direct pricing program.
                • optBlueobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.optBlue
                  • volumenumberdoublerequired
                    Percentage of the total transaction amount that the processor charges the merchant.0–100
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • enhancedInterchangeobject
                Object that contains the fees for enhanced interchange services.
                • creditToMerchantnumberdoublerequired
                  Percentage of additional discount.0–100
                • enrollmentintegerrequired
                  Enrollment fee for the enhanced interchange services. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                Object that contains information about the processor fees.
                • transactioninteger
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • volumenumberdouble
                  Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.interchangePlus
          • Interchange Plus Plusobject
            Object that contains information about Interchange Plus Plus.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions. The value of the type field determines which variant you should use: optBlue Amex OptBlue pricing program. direct Amex Direct pricing program.
                • optBlueobject
                  • midQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • nonQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • qualifiedRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • typestringrequired
                    Type of American Express program.optBlue
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • enhancedInterchangeobject
                Object that contains the fees for enhanced interchange services.
                • creditToMerchantnumberdoublerequired
                  Percentage of additional discount.0–100
                • enrollmentintegerrequired
                  Enrollment fee for the enhanced interchange services. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                • midQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • nonQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • qualifiedRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.interchangePlusPlus
          • Tiered pricing with three tiersobject
            Object that contains information about tiered pricing with three tiers.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions. The value of the type field determines which variant you should use: optBlue Amex OptBlue pricing program. direct Amex Direct pricing program.
                • optBlueobject
                  • midQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • nonQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • qualifiedRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • typestringrequired
                    Type of American Express program.optBlue
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                • midQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • nonQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • qualifiedRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.tiered3
          • Tiered pricing with four tiersobject
            Object that contains information about tiered pricing with four tiers.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions. The value of the type field determines which variant you should use: optBlue Amex OptBlue pricing program. direct Amex Direct pricing program.
                • optBlueobject
                  • midQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • nonQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • qualifiedRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • typestringrequired
                    Type of American Express program.optBlue
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                • midQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • nonQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • qualifiedRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • premiumRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.tiered4
          • Tiered pricing with six tiersobject
            Object that contains information about tiered pricing with six tiers.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions. The value of the type field determines which variant you should use: optBlue Amex OptBlue pricing program. direct Amex Direct pricing program.
                • optBlueobject
                  • midQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • nonQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • qualifiedRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • typestringrequired
                    Type of American Express program.optBlue
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                • regulatedCheckCardobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • unregulatedCheckCardobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • midQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • nonQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • qualifiedRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • premiumRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.tiered6
          • Flat Rate Planobject
            Object that contains information about Flat Rate.
            • feesobjectrequired
              Object that contains information about the Flat Rate fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions.
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • standardCardsobjectrequired
                Object that contains information about the processor fees.
                • transactioninteger
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • volumenumberdouble
                  Percentage of total transaction amount that the processor charges the merchant.0–100
            • planTypestringrequired
              Type of processing plan.flatRate
          • Consumer Choice Planobject
            Object that contains information about ConsumerChoice.
            • feesobjectrequired
              Object that contains information about the fees.
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • merchantChargePercentagenumberdouble
                Percentage of the total transaction amount that the processor charges the merchant.0–100
              • monthlySubscriptionintegerrequired
                Fee for the monthly subscription for the processing plan. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • volumenumberdoublerequired
                Merchant-authorized percentage on non-cash transactions.0–100
            • planTypestringrequired
              Type of processing plan.consumerChoice
          • RewardPayChoice Planobject
            Object that contains information about RewardPayChoice.
            • feesobjectrequired
              Object that contains information about the fees.
              • creditobjectrequired
                Object that contains information about fees for credit transactions.
                • cardChargePercentagenumberdouble
                  Percentage of the total transaction amount that the processor charges the cardholder.0–100
                • merchantChargePerTransactioninteger
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • merchantChargePercentagenumberdouble
                  Percentage of the total transaction amount that the processor charges the merchant.0–100
                • tipsstring
                  Indicates how the merchant manages tips.noTipstipPrompttipAdjust
              • debitobjectrequired
                Object that contains information about fees for debit transactions.
                • optionstring
                  Indicates if debit transactions should be charged at interchange plus or flat rate pricing.interchangePlusflatRate
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • volumenumberdoublerequired
                  Percentage of the total transaction that the processor charges the merchant.0–100
              • monthlySubscriptionintegerrequired
                Fee for the monthly subscription for the processing plan. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.rewardPayChoice
      • servicesobject[]
        Array of polymorphic objects that contain information about additional services that we offer.
        • option 1object
          Object that contains information about the Hardware Advantage Plan.
          • enabledbooleanrequired
            Indicates if the merchant has signed up for the Hardware Advantage Plan.
          • namestringrequired
            Name of the service.hardwareAdvantagePlan
      • versionstringrequired
        Version of the MPA.5.0
    • 5.2object
      Object that contains information about a pricing intent for Merchant Processing Agreement (MPA) 5.2.
      • createdDatestringdate-time
        Date and time that we received your request to create the pricing intent. We return this value in the ISO-8601 format.
      • idstring
        Unique identifier of the pricing intent.
      • keystringrequired
        Unique identifier that you can assign to the pricing intent for your own records.
      • lastUpdatedDatestringdate-time
        Date and time that the pricing intent was last modified. We return this value in the ISO-8601 format.
      • metadataobject
        Metadata object that contains your custom data.
      • statusstring
        Status of the pricing intent. The value can be one of the following: active We have approved the pricing intent. pendingReview We have not yet reviewed the pricing intent. rejected We have rejected the pricing intent.activependingReviewrejected
      • baseobjectrequired
        Object that contains information about U.S. base fees.
        • addressVerificationintegernullrequired
          Fee for each address verification request. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • annualFeeobjectrequired
          Object that contains information about the annual fee.
          • amountintegerrequired
            Annual fee. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • billInMonthstring
            Indicates whether we collect the annual fee in June or December.junedecember
        • batchintegerrequired
          Fee for each batch. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • chargebackinteger
          Fee for each chargeback. The value is in the currency's lowest denomination, for example, cents.750–5000
        • earlyTerminationinteger
          Fee for early termination. The value is in the currency's lowest denomination, for example, cents.19500–59500
        • maintenanceintegerrequired
          Monthly fee for maintenance. The value is in the currency's lowest denomination, for example, cents.≥ 500
        • minimumintegerrequired
          Monthly fee that we charge when the merchant doesn't meet the minimum fee amount. This monthly fee is in the currency's lowest denomination, for example, cents.≥ 0
        • pciNonComplianceinteger
          Fee that we apply each month if you aren't compliant with PCI standards. The value is in the currency's lowest denomination, for example, cents.3995–10000
        • platinumSecurityobject
          Object that contains information about the Platinum Security fee.
          • monthlyobject
            • amountinteger
              Fee for Platinum Security. The value is in the currency's lowest denomination, for example, cents.
            • billingFrequencystringrequired
              Indicates whether we bill your account monthly or annually.monthly
          • annualobject
            • amountinteger
              Fee for the Platinum Security, this is returned in the lowest unit of currency. For example, cents.
            • billingFrequencystringrequired
              Indicates whether we bill your account monthly or annually.annual
        • regulatoryAssistanceProgramintegernullrequired
          Annual fee for the regulatory assistance program. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • retrievalinteger
          Fee for each retrieval. The value is in the currency's lowest denomination, for example, cents.275–5000
        • voiceAuthorizationinteger
          Fee for each voice authorization. The value is in the currency's lowest denomination, for example, cents.95–200
      • countrystringrequired
        Two-digit code for the country that the pricing intent applies to. The format follows the ISO-3166-1 standard.US
      • gatewayobject
        Object that contains information about the gateway fees for MPA 5.2.
        • feesobjectrequired
          Object that contains information about the gateway fees.
          • 3dSecurePerTransactioninteger
            Fee for each transaction which utilizes 3D Secure. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • monthlyintegerrequired
            Monthly fee for the gateway. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • perDeviceMonthlyintegerrequired
            Monthly fee for each device. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • perTransactionintegerrequired
            Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • setupintegerrequired
            Fee for setting up your account with the gateway. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • tapToPayPerTransactioninteger
            Fee for each tap to pay transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • processorobject
        Object that contains information about U.S. processor fees.
        • achobject
          Object that contains the fees for ACH transactions.
          • feesobject
            Object that contains processing fees for ACH transactions.
            • accountVerificationintegerrequired
              Fee for each account verification. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • batchintegerrequired
              Fee for each batch. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • discountRateAbove10000numberdoublerequired
              Percentage discount for ACH transfers equal to or more than $10,000.0–100
            • discountRateUnder10000numberdoublerequired
              Percentage discount for ACH transfers less than $10,000.0–100
            • monthlyMinimumintegerrequired
              Minimum monthly value of transactions. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • returnsintegerrequired
              Fee for each return. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • statementintegerrequired
              Fee for each statement. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • transactionintegerrequired
              Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • unauthorizedReturnintegerrequired
              Fee for each unauthorized return. The value is in the currency's lowest denomination, for example, cents.≥ 0
        • cardobject
          Object that contains information about card fees.
          • Interchange Plus Planobject
            Object that contains information about Interchange Plus.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Object that contains the fees for American Express transactions.
                • optBlueobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.optBlue
                  • volumenumberdoublerequired
                    Percentage of the total transaction amount that the processor charges the merchant.0–100
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                Object that contains information about the processor fees.
                • transactioninteger
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • volumenumberdouble
                  Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.interchangePlus
          • Interchange Plus Plusobject
            Object that contains information about Interchange Plus Plus.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Object that contains the fees for American Express transactions.
                • optBlueobject
                  • midQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • nonQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • qualifiedRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • typestringrequired
                    Type of American Express program.optBlue
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                • midQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • nonQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • qualifiedRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.interchangePlusPlus
          • Tiered pricing with three tiersobject
            Object that contains information about tiered pricing with three tiers.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions. The value of the type field determines which variant you should use: optBlue Amex OptBlue pricing program. direct Amex Direct pricing program.
                • optBlueobject
                  • midQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • nonQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • qualifiedRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • typestringrequired
                    Type of American Express program.optBlue
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                • midQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • nonQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • qualifiedRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.tiered3
          • Tiered pricing with four tiersobject
            Object that contains information about tiered pricing with four tiers.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions. The value of the type field determines which variant you should use: optBlue Amex OptBlue pricing program. direct Amex Direct pricing program.
                • optBlueobject
                  • midQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • nonQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • qualifiedRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • typestringrequired
                    Type of American Express program.optBlue
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                • midQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • nonQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • qualifiedRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • premiumRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.tiered4
          • Tiered pricing with six tiersobject
            Object that contains information about tiered pricing with six tiers.
            • feesobjectrequired
              Object that contains information about the fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions. The value of the type field determines which variant you should use: optBlue Amex OptBlue pricing program. direct Amex Direct pricing program.
                • optBlueobject
                  • midQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • nonQualRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • qualifiedRateobjectrequired
                    Object that contains information about the processor fees.
                    • transactioninteger
                      Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                    • volumenumberdouble
                      Percentage of total transaction amount that the processor charges the merchant.0–100
                  • typestringrequired
                    Type of American Express program.optBlue
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • mastercardVisaDiscoverobjectrequired
                • regulatedCheckCardobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • unregulatedCheckCardobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • midQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • nonQualRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • qualifiedRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
                • premiumRateobjectrequired
                  Object that contains information about the processor fees.
                  • transactioninteger
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • volumenumberdouble
                    Percentage of total transaction amount that the processor charges the merchant.0–100
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.tiered6
          • Flat Rate Planobject
            Object that contains information about Flat Rate.
            • feesobjectrequired
              Object that contains information about the Flat Rate fees.
              • amexobject
                Polymorphic object that contains fees for American Express transactions.
                • directobject
                  • transactionintegerrequired
                    Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                  • typestringrequired
                    Type of American Express program.direct
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • standardCardsobjectrequired
                Object that contains information about the processor fees.
                • transactioninteger
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • volumenumberdouble
                  Percentage of total transaction amount that the processor charges the merchant.0–100
            • planTypestringrequired
              Type of processing plan.flatRate
          • Consumer Choice Planobject
            Object that contains information about ConsumerChoice.
            • feesobjectrequired
              Object that contains information about the fees.
              • electronicBenefitsTransferobject
                Object that contains the fees for EBT transactions.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • merchantChargePercentagenumberdouble
                Percentage of the total transaction amount that the processor charges the merchant.0–100
              • monthlySubscriptionintegerrequired
                Fee for the monthly subscription for the processing plan. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • pinDebitobject
                Object that contains the fees for PIN-debit transactions.
                • additionalDiscountnumberdoublerequired
                  Percentage of additional discount.0–100
                • monthlyAccessintegerrequired
                  Monthly access fee for using PIN-debit services. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • volumenumberdoublerequired
                Merchant-authorized percentage on non-cash transactions.0–100
            • planTypestringrequired
              Type of processing plan.consumerChoice
          • RewardPayChoice Planobject
            Object that contains information about RewardPayChoice.
            • feesobjectrequired
              Object that contains information about the fees.
              • creditobjectrequired
                Object that contains information about fees for credit transactions.
                • cardChargePercentagenumberdouble
                  Percentage of the total transaction amount that the processor charges the cardholder.0–100
                • merchantChargePerTransactioninteger
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • merchantChargePercentagenumberdouble
                  Percentage of the total transaction amount that the processor charges the merchant.0–100
                • tipsstring
                  Indicates how the merchant manages tips.noTipstipPrompttipAdjust
              • debitobjectrequired
                Object that contains information about fees for debit transactions.
                • optionstring
                  Indicates if debit transactions should be charged at interchange plus or flat rate pricing.interchangePlusflatRate
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
                • volumenumberdoublerequired
                  Percentage of the total transaction that the processor charges the merchant.0–100
              • monthlySubscriptionintegerrequired
                Fee for the monthly subscription for the processing plan. The value is in the currency's lowest denomination, for example, cents.≥ 0
              • specialityCardsobject
                Object that contains the fees for speciality cards.
                • transactionintegerrequired
                  Fee for each transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • planTypestringrequired
              Type of processing plan.rewardPayChoice
      • servicesobject[]
        Object that contains information about our additional services that the merchant can sign up for.
        • option 1object
          Object that contains information about the Hardware Advantage Plan.
          • enabledbooleanrequired
            Indicates if the merchant has signed up for the Hardware Advantage Plan.
          • namestringrequired
            Name of the service.hardwareAdvantagePlan
        • option 2object
          Object that contains the fees for account updater service.
          • feesobjectrequired
            Object that contains information about the gateway fees.
            • monthlyintegerrequired
              Monthly fee for Account Updater service. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • perUpdateintegerrequired
              Fee for each account update. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • setupintegerrequired
              Setup fee for Account Updater service. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • namestringrequired
            Name of the service.accountUpdater
        • option 3object
          Object that contains the fees for wireless processing.
          • feesobjectrequired
            • monthlyAccessintegerrequired
              Monthly network access fee for Wireless Processing. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • setupintegerrequired
              Setup fee for Wireless Processing. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • namestringrequired
            Name of the service.wirelessProcessing
        • option 4object
          Object that contains the fees for the Clover platform service.
          • feesobjectrequired
            Object that contains the Clover platform fee amounts.
            • dataProtectionPerMidintegerrequired
              Data Protection Services fee per MID. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • keyedAuthorizationPerTransactionintegerrequired
              Fee per keyed or card-not-present transaction. The value is in the currency's lowest denomination, for example, cents.≥ 0
            • platformMonthlyintegerrequired
              Monthly platform fee for Clover. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • namestringrequired
            Name of the service.cloverProcessing
        • option 5object
          Object that contains the fees for the Roc Services gateway.
          • feesobjectrequired
            Object that contains the Roc Services fee amounts.
            • monthlyintegerrequired
              Monthly fee for Roc Services. The value is in the currency's lowest denomination, for example, cents.≥ 0
          • namestringrequired
            Name of the service.rocServicesProcessing
      • versionstringrequired
        Version of the MPA.5.2

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer